Skip to content

Get Order Customs Requirements

POST
/fulfillment/202607/orders/customs_info/query

This API is used to query whether an order requires extra customs clearance information, whether such information has been submitted, and the list of submitted customs clearance information. If extra customs clearance information is required but not yet provided, the merchant must complete and submit it before shipment can proceed.

Media typeapplication/json
object
order_ids
required

TikTok Shop order IDs to query. When providing a request body, include 1 to 50 order IDs.

Array<string>
Example
{
"order_ids": [
"584882846571464153",
"584881010662934016"
]
}

Success

Media typeapplication/json
object
code

Status code; 0 means success.

integer format: int64
message

Success or failure message.

string
request_id

Request log ID.

string
data
object
order_clearance_list

Clearance info of this order

Array<object>
object
order_id

TikTok Shop order ID

string
need_fill_clearance

Whether an order needs to fill customs infomation:

  • true: The order needs to fill in customs information.
  • false: The order does not need to fill in custom information.
boolean
already_filled_clearance

When need_fill_clearance is true, whether customs clearance information has been submitted for every order line that requires it. This value is false when need_fill_clearance is false.

boolean
target_country

Country Alpha-2 Code

string
biz_type

Enum CustomsBusinessType { CustomsBusinessTypeFS = 1; CustomsBusinessTypePOP = 2; }

integer format: int64
shipment_type

Enum ShipmentType{ CROSS_BORDER = 1, LOCAL = 2, }

integer format: int64
item_list

Order-line details for the order.

Array<object>
object
order_line_id

Sub order ID

string
product_id

Product ID.

string
sku_id

SKU ID.

string
is_virtual_unboxing

Whether this sub order is virtual_unboxing

boolean
is_temporary_listing

Whether this sub order is temporary_listing

boolean
related_item_detail

Submitted customs clearance item details for this order line, aggregated by SKU.

Array<object>
object
product_id

Product ID.

string
sku_id

SKU ID.

string
qty

The amount of this sku

integer format: int64
price_percent

Unit: %, price_percent=10 means 10%

integer format: int64
Example
{
"code": 0,
"data": {
"order_clearance_list": [
{
"order_id": "584882846571463232",
"need_fill_clearance": true,
"already_filled_clearance": false,
"target_country": "JP",
"biz_type": 1,
"shipment_type": 1,
"item_list": [
{
"order_line_id": "584882846571423334",
"product_id": "1729476373250999503",
"sku_id": "1735885807280883357",
"is_virtual_unboxing": true,
"is_temporary_listing": false,
"related_item_detail": [
{
"product_id": "1729476373250999503",
"sku_id": "1735885807280883357",
"qty": 2,
"price_percent": 10
}
]
}
]
}
]
},
"message": "Success",
"request_id": "202203070749000101890810281E8C70B7"
}